Action items

Create action item

Creates an unassigned action item owned by the authenticated user without linking it to a meeting. Title and description are required.

POST
/action-items

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/action-items" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "description": "string"  }'
{  "id": 1,  "title": "string",  "description": "string",  "assignee": {    "profileId": 1,    "name": "John Appleseed",    "title": "Head of Operations",    "companyName": "Initech",    "email": "john@initech.com"  },  "canEditActionItem": true,  "completedAt": "2019-08-24T14:15:22Z",  "status": "PENDING",  "meetingIds": [    "string"  ],  "meetings": [    {      "id": "string",      "name": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}
{  "code": "string",  "error": "string",  "seatsToAdd": 1,  "issues": [    {      "message": "string",      "path": "string"    }  ]}
{  "code": "string",  "error": "string",  "seatsToAdd": 1,  "issues": [    {      "message": "string",      "path": "string"    }  ]}